local t = Def.ActorFrame {};

t[#t+1] = StandardDecorationFromFileOptional("SortOrder","SortOrderText") .. {
	BeginCommand=cmd(playcommand,"Set");
	SortOrderChangedMessageCommand=cmd(playcommand,"Set";);
	SetCommand=function(self)
		local s = SortOrderToLocalizedString( GAMESTATE:GetSortOrder() );
		self:settext( s );
		self:playcommand("Sort");
	end;
};

t[#t+1] = Def.ActorFrame {
    LoadActor("_selectarrow") .. {
        InitCommand=cmd(horizalign,center;x,SCREEN_CENTER_X-120;y,SCREEN_CENTER_Y-80;zoomx,0.3;zoomy,0.3;diffusealpha,0);
		OnCommand=cmd(smooth,0.3;zoomx,0.5;zoomy,0.5;diffusealpha,1;);
		OffCommand=cmd(smooth,0.2;addx,-50;diffusealpha,0;);
		MenuLeftP1MessageCommand=cmd(smooth,0.1;addx,-10;linear,0.1;addx,10;);
		MenuLeftP2MessageCommand=cmd(smooth,0.1;addx,-10;linear,0.1;addx,10;);
    };
	LoadActor("_selectarrow") .. {
        InitCommand=cmd(horizalign,center;x,SCREEN_CENTER_X+120;y,SCREEN_CENTER_Y-80;zoomx,-0.3;zoomy,0.3;diffusealpha,0);
		OnCommand=cmd(smooth,0.3;zoomx,-0.5;zoomy,0.5;diffusealpha,1;);
		OffCommand=cmd(smooth,0.2;addx,50;diffusealpha,0;);
		MenuRightP1MessageCommand=cmd(smooth,0.1;addx,10;linear,0.1;addx,-10;);
		MenuRightP2MessageCommand=cmd(smooth,0.1;addx,10;linear,0.1;addx,-10;);
    };
};


return t